comment %
	Abort if Exception include

	Use this StructuredExceptionHandler include with care - it's crude
	

	2nd&mi!
	stone@one.se
	%


SetExceptionFrame Macro 
	mov	[OldStack], esp
	pushad
	Call  	SetUnhandledExceptionFilter, offset ErrHandler
  	mov	[OldFilter], eax
	PopAD
EndM

RestoreExceptionFrame Macro
	pushad
	call    SetUnhandledExceptionFilter, [OldFilter]
	popad
EndM

.code
ErrHandler Proc
	call	SetUnhandledExceptionFilter, OldFilter
	xor     eax, eax
	mov	esp, [OldStack]
	ret
ErrHandler ENDP

.data
	OldFilter	dd 0
	OldStack	dd 0



